Loading...
Searching...
No Matches
svn_user.h File Reference

Subversion's wrapper around APR's user information interface. More...

`#include <apr_pools.h>`

Go to the source code of this file.

## Functions

const char * | svn_user_get_name (apr_pool_t *pool)
| Get the name of the current user, using pool for any necessary allocation, returning NULL on error.
const char * | svn_user_get_homedir (apr_pool_t *pool)
| Get the path of the current user's home directory, using pool for any necessary allocation, returning NULL on error.

## Detailed Description

Subversion's wrapper around APR's user information interface.

# autotoc_md129

Definition in file svn_user.h.

## Function Documentation

## svn_user_get_homedir()

const char * svn_user_get_homedir | ( | apr_pool_t * | pool | ) |

Get the path of the current user's home directory, using pool for any necessary allocation, returning NULL on error.

Since
  New in 1.4.
  1.10 returns a canonical path. Earlier versions returned a non-canonical path if the operating system reported a non-canonical path such as "/home/user/" or "//home/user".

## svn_user_get_name()

const char * svn_user_get_name | ( | apr_pool_t * | pool | ) |

Get the name of the current user, using pool for any necessary allocation, returning NULL on error.

Since
  New in 1.4.